View Issue Details

IDProjectCategoryView StatusLast Update
0004577Talermechant backendpublic2016-11-20 03:26
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.0 
Target Version0.2Fixed in Version0.2 
Summary0004577: handle case where exchange provides conflicting data on wire transfers
DescriptionRight now, the exchange can once claim that a transaction is in one WTID and then later claim the opposite. The case is detected (at least in one direction) in the code and logged, but we should export the conflicting proofs via the API to give to our client.
TagsNo tags attached.

Activities

Christian Grothoff

2016-10-15 03:20

manager   ~0011325

Fixed in ff8fdfa0ec4f617993d385bb4258fb0538156c20 (plus merge in 9f8b9743f382ee627439634369788489248c9a41).

Issue History

Date Modified Username Field Change
2016-06-11 20:13 Christian Grothoff New Issue
2016-06-11 20:13 Christian Grothoff Status new => assigned
2016-06-11 20:13 Christian Grothoff Assigned To => Marcello Stanisci
2016-06-11 20:14 Christian Grothoff Assigned To Marcello Stanisci =>
2016-06-11 20:14 Christian Grothoff Status assigned => confirmed
2016-06-11 20:53 Christian Grothoff Assigned To => Christian Grothoff
2016-06-11 20:53 Christian Grothoff Status confirmed => assigned
2016-06-11 20:53 Christian Grothoff Target Version => 0.2
2016-10-15 03:20 Christian Grothoff Note Added: 0011325
2016-10-15 03:20 Christian Grothoff Status assigned => resolved
2016-10-15 03:20 Christian Grothoff Fixed in Version => 0.2
2016-10-15 03:20 Christian Grothoff Resolution open => fixed
2016-11-20 03:26 Christian Grothoff Status resolved => closed